import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconBack as IconBackClass } from "../../../../components/icon/icons/back.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconBack = (props) => {
  IconBackClass.define();
  const JSXElement = getReactComponent("gds-icon-back");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconBack.displayName = "IconBack";
export {
  IconBack
};
